#!/usr/bin/perl

($file1,$file2) = @ARGV;
if (!$file2) {
	die "usage: $0 <file1> <file2>\n";
}

open F1, "<$file1" or die "$file1: $!\n";
open F2, "<$file2" or die "$file2: $!\n";
%f1 = %f2 = ();
@f1 = @f2 = ();

$cur = "";
while (<F1>) {
	if (/^	(.*)/) {
		$f1{$cur} .= "$1\n";
		next;
	}
	s/#.*//;
	s/\s+$//;
	if ($_) {
		$cur = $_;
		push @f1, $cur;
	}
}

$cur = "";
while (<F2>) {
	if (/^	(.*)/) {
		$f2{$cur} .= "$1\n";
		next;
	}
	s/#.*//;
	s/\s+$//;
	if ($_) {
		$cur = $_;
		push @f1, $cur;
	}
}

foreach (@f1) {
	if ($f1{$_} eq $f2{$_}) {
		print "$_\n";
	}
}
